// MIG Portuguese 1961 Colonial Hunters Version 1.0 released 09Feb2002

// Some vehicles will be released soon.

// the uniform camouflage is based on British Special Forces Addon V1.00 by SelectThis and Ebud

// some basic defines 
#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches
{
	class Groups
     {
         units[] = {};
         weapons[] = {};
         requiredVersion = 1.10;
     };

// MIGPortHunters1961

	class MIGPortHunters1961Off
	{
		units[] = {MIGPortHunters1961Off};
		weapons[] = {};
		requiredVersion = 1.10;
	};	
	class MIGPortHunters1961Soldier
	{
		units[] = {MIGPortHunters1961Soldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortHunters1961MG
	{
		units[] = {MIGPortHunters1961MG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortHunters1961Medic
	{
		units[] = {MIGPortHunters1961Medic};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortHunters1961LAW
	{
		units[] = {MIGPortHunters1961LAW};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortHunters1961AT
	{
		units[] = {MIGPortHunters1961AT};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class MIGPortHunters1961AA
	{
		units[] = {MIGPortHunters1961AA};
		weapons[] = {};
		requiredVersion = 1.10;	};
	
 };
 
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMG:SoldierWB{};
	class SoldierWMedic:SoldierWB{};
	class SoldierWLAW:SoldierWB{};
	class SoldierWAT:SoldierWLAW{};
	class SoldierWAA:SoldierWLAW{};
	class SoldierWMiner:SoldierWB{};
	class SoldierWSaboteur:SoldierWB{};
	class SoldierWSaboteurPipe:SoldierWSaboteur{};
	class SoldierWSniper:SoldierWB{};
	class OfficerW:SoldierWB{};
	class OfficerWNight:SoldierWB{};

// MIGPortHunters1961

	class MIGPortHunters1961Off:SoldierWB{
		displayName="Portuguese 1961 Hunter Officer";
		weapons[]={"Throw","Put","G36a","NVGoggles","Binocular"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","G36amag","G36amag","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
	class MIGPortHunters1961Soldier:SoldierWB{
		displayName="Portuguese 1961 Hunter Soldier";
		weapons[]={"Throw","Put","G36a","NVGoggles"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","HandGrenade","HandGrenade","HandGrenade"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
		class MIGPortHunters1961MG:SoldierWMG{
		displayName="Portuguese 1961 Hunter MGunner";
		weapons[]={"Throw","Put","M60","NVGoggles"};
		magazines[]={"M60","M60","M60","M60","M60"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
	class MIGPortHunters1961Medic:SoldierWMedic{
		displayName="Portuguese 1961 Hunter Medic";
		weapons[]={"Throw","Put","M16","NVGoggles"};
		magazines[]={"M16scope","M16","M16","M16"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	      weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
      };
	class MIGPortHunters1961LAW:SoldierWLAW{
		displayName="Portuguese 1961 LAW Soldier";
		weapons[]={"Throw","Put","G36a","NVGoggles","LAWLauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","LAWLauncher","LAWLauncher","LAWLauncher"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
	class MIGPortHunters1961AT:SoldierWAT{
		displayName="Portuguese 1961 Hunter AT";
		weapons[]={"Throw","Put","NVGoggles","G36a","CarlGustavLauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","CarlGustavLauncher",};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
      class MIGPortHunters1961AA:SoldierWAT{
		displayName="Portuguese 1961 Hunter AA";
		weapons[]={"Throw","Put","NVGoggles","G36a","AALauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","G36amag"};
		model="\MIGPortHunters1961\MIGPortHunters1961";
	};
 
};



class CfgGroups
{
   class West
   {
      name="West";
       class Infantry  
       {
       name="Infantry"; 
 
         class MIGPortHunters1961
         {
            name="MIG Portuguese 1961 Hunters";
			class Unit0
			{
			name="1";
			side=1;
			vehicle="MIGPortHunters1961Off";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=1;
			vehicle="MIGPortHunters1961Soldier";
			rank="Corporal";
			position[]={-12,-3,0};
			};
			class Unit2
			{
			name="3";
			side=1;
			vehicle="MIGPortHunters1961MG";
			rank="Corporal";
			position[]={-9,-3,0};
			};
			class Unit3
			{
			name="4";
			side=1;
			vehicle="MIGPortHunters1961LAW";
			rank="Corporal";
			position[]={-6,-3,0};
			};
			class Unit4
			{
			name="5";
			side=1;
			vehicle="MIGPortHunters1961Medic";
			rank="Sergeant";
			position[]={-3,-3,0};
			};
			class Unit5
			{
			name="6";
			side=1;
			vehicle="MIGPortHunters1961MG";
			rank="Private";
			position[]={3,-3,0};
			};
			class Unit6
			{
			name="7";
			side=1;
			vehicle="MIGPortHunters1961Soldier";
			rank="Private";
			position[]={6,-3,0};
			};
			class Unit7
			{
			name="8";
			side=1;
			vehicle="MIGPortHunters1961LAW";
			rank="Private";
			position[]={9,-3,0};
			};
			class Unit8
			{
			name="9";
			side=1;
			vehicle="MIGPortHunters1961Soldier";
			rank="Private";
 			position[]={12,-3,0};
			};
         };
         
			
//end of MIGPortHunters1961
      };

//end of West   };

//end of groups
};


//end of file
}; 
